
  module Couchdb
    class Config < Vagrant.plugin(2, :config)
      attr_accessor :dbhosts

      def validate(machine)
        errors = _detected_errors
        if !dbhosts
          errors << I18n.t("vagrant.provisioners.couchdb.no_hosts")
        end

        { "CouchDB Sync" => errors }
      end
    end
  end